.left margin
.ifnot hlp
.HL 1 ENABLE/DISABLE
.else hlp
.i-1;3 DISABLE
.s2
See ENABLE
.s
.i-1;3 ENABLE
.br
.endif hlp
.ifnot small
Some of the following commands can be confused with the FLAGS commands,
but they are very different.   A FLAGS command defines
special characters or combinations of characters.  The enable command
enables the action which that character requests.  For example you may
enable the overstrike flag by _.FLAGS#OVERSTRIKE.  The percent sign "#%#"
will then cause overstriking and will not appear in the text.  If you then
issue the command _.DISABLE#OVERSTRIKING the percent sign will still not
appear in the text, unless quoted, but no overstriking will occurr.
.endif small
.LM +5
.s
.if hlp
.if RSX
.i5;Additional help available:
BAR CONTINUE ESCAPE EQUATION FLAGS HYPHENATION INDEXING LEVELS 
NUMBERING ODD OVERSTRIKING SUBSTITUTION 
TABS TOC UNCONDITIONAL UNDERLINING
.j
.endif RSX
.i-6;4 BAR
.endif hlp
.s.tt7.i-5;_.ENABLE BAR  [n1] [,n2]
.i-5;_.EBB [n1] [,n2]
.i-3;_.DISABLE BAR 
.i-3;_.DBB 
.x DISABLE>BAR 
.p.x ENABLE>BAR
This command controls the printing of change bars. 
.ifnot small
The change bar is a vertical bar printed in the in the left margin of a
document. It is generally used to note sections of the document that have been
changed since the last printing of the document. Bars will not actually be
printed unless a _.BEGIN BAR command is issued. This command is normally
issued at the beginning of a document. 
If no change bar is printed
the line is shifted right by n1+n2. In effect if n1 is 4 and n2 is 3 the text
line is always indented by 7 but the change bar appears 2 spaces to the left
of the text when it is turned on. The defaults for n1,n2 are 0,3. If you set a
left margin the n1,n2 are in addition to the left margin. 
.i5;(n1,n2 are not supported in DSR)
.endif small
.i5;DEFAULT: _.DISABLE BAR 
.if hlp;.i-6;4 CONTINUE
.endif hlp
.bb
.s.tt7.i-5;_.ENABLE CONTINUE
.i-5;_.ECO
.i-3;_.DISABLE CONTINUE
.i-3;_.DES
.x DISABLE>CONTINUE
.p.x ENABLE>CONTINUE
When this is enabled either a break, or hyphenation flag at the end of the
line will cause the line to be continued.  
.ifnot small
If you are in NO#FILL mode then 
the line will not automatically break at the end of the input line.  If in 
.x FILL
FILL mode no space will occurr between the word at the end of the line and
the word on the beginning of the next input line.
The break and hyphenate characters still have the usual meaning
and hyphenation or breaks may ocurr at the end of the input line if there
is not sufficient space for the next word in the output line.
If the break or hyphenation flag is followed by a space then is is not
at the end of the line.
.i5;(Not supported in DSR)
.endif small
.i5;DEFAULT: _.DISABLE CONTINUE 
.eb
.if hlp;.i-6;4 ESCAPE
.endif hlp
.s.tt7.i-5;_.ENABLE ESCAPE
.i-5;_.EES
.i-3;_.DISABLE ESCAPE
.i-3;_.DES
.x DISABLE>ESCAPE
.p.x ENABLE>ESCAPE
These commands control the  output of escape sequences.   The escape
sequence flags will be recognized, but not executed while disabled.
.i5;DEFAULT: _.ENABLE ESCAPE
.i5;(Not supported in DSR)
.if hlp;.i-6;4 EQUATION
.endif hlp
.s.tt7.i-5;_.ENABLE EQUATION n
.i-5;_.EEQ n
.i-3;_.DISABLE EQUATION
.i-3;_.DEQ
.x DISABLE>EQUATION
.X EQUATION>DISABLE
.p.x ENABLE>EQUATION
.X EQUATION>ENABLE
This controls 
 the equation formatting.  The parameter n is the number of half
lines to allocate above and below each character. The default is _.EEQ 0.
.ifnot small
Sometimes if you are formatting equations with many subscripts or superscripts
n=1 will look better by adding more blank space to the fractions. 
When disabled, but with the equation
flags defined via the _.FLAGS EQUATION command, left and right braces _{ _} are
translated to be normal parentheses ( ). 
.i5;(Not supported in DSR)
.endif small
.i5;DEFAULT: _.ENABLE EQUATION
.if hlp;.i-6;4 FLAGS
.endif hlp
.bb
.s.tt7.i-5;_.ENABLE FLAGS [flag]
.i-3;_.DISABLE FLAGS [flag]
.x FLAGS>DISABLE
.x DISABLE>FLAGS
.p.x ENABLE>FLAGS
.x FLAGS>ENABLE
this commands temporarily enable or disable flags.
.ifnot small
The possible flags are:
.nj.ts +5,+12,+12,+12,+12,+12,+12
	ACCEPT	ALL	BREAK	CAPITALIZE	ESCAPE	EQUATION
	HYPHENATE	INDEX	LOWERCASE	OVERSTRIKE	SPACE	SPECIAL
	SUBINDEX	SUBSTITUTE	TAB	UNDERLINE	UPPERCASE 
.j
By default all flags are initially enabled.  If no flag is specified, or ALL
is specified then all flags except for the TAB flag are enabled.  Flags
disabled by _.NO FLAGS ALL may be enabled by this command. Flags that have not
been defined can not be enabled.
The enable status of flags are saved by the _.SAVE commands.
If no flag is specified all flags except for the TAB flag are enabled or
disabled.  Disabling a flag does not redefine or remove the flag character.
For example if you wish to use the ampersand (_&) for some other purpose
than the underline flag you must undefine it via the _.NO FLAGS UNDERLINE.
You can however _.DISABLE FLAGS UNDERLINE to use the ampersand as a printable
character.
.i5;(Not available in DSR)
.eb
.endif small
.if hlp;.i-6;4 HYPHENATION
.endif hlp
.s.tt7.i-5;_.ENABLE HYPHENATION
.i-5;_.EHY
.i-3;_.DISABLE HYPHENATION
.i-3;_.DHY
.x DISABLE>HYPHENATION
.p.x ENABLE>HYPHENATION
.x Hyphenation
Controls hyphenation.  
.ifnot small
While hyphenation is enabled RUNOFF may hyphenate words at the end of an
output line.  User defined hyphenation via the hyphenate flag character [#_=#]
may be used.  Automatic hyphenation is possible via the _.AUTOHYPHENATE
command. RUNOFF will not hyphenate: 
.LIST 0
.le;The last line on the page
.le;A line following 2 hyphenated lines
.le;Equations
.els 0
The following will inhibit autohyphenation:
.list 0
.le;Escape sequences 
.le;Overstrikes 
.le;Wide characters (double, triple width...)
.le;Non expandable spaces "_#"
.x Space>Non expandable
.le;Tabs in front of a word
.le;Invalid punctuation 
.els 0
Valid punctuation marks are:
.x Punctuation>Valid
.c;/ _\ _. , ( ) " @
For example words containing hyphens are not hyphenated.  Such words may
be optionally broken by using the break character or by issuing the command
.c; _.AUTOBREAK "-"
.x Autobreak
The valid punctuation list may be changed by the _.AUTOHYPHENATION command.
.ifnot HLP.p
The hyphenation routines are not ideal and there are certain problems which
you must overcome manually.  The hyphenation routine has no warning when a
paragraph is ending, consequently it may hyphenate the last word in a
paragraph.  This may be avoided by using the _.FLAGS HYPHENATE command and
marking the last word in a paragraph for no hyphenation. Or periods could be
declared as invalid punctuation. If you use footnotes and the footnote
overflows to the next page, the hyphenation routine may hyphenate the last
word on a page. This may be avoided by use of the hyphenation flag, or by
picking the page breaks with the _.PAGE command. It is always a good idea to
avoid footnotes which overflow to the next page. 
.endif HLP
.endif small
.i5;DEFAULT: _.ENABLE HYPHENATION
.if hlp;.i-6;4 INDEXING
.endif hlp
.s.tt7.i-5;_.ENABLE INDEXING
.i-5;_.EIX
.i-3;_.DISABLE INDEXING
.i-3;_.DIX
.x ENABLE>INDEXING
.x INDEX>DISABLE
.x ENABLE>INDEXING
.s.x INDEX>ENABLE
controls collecting and printing of index entries.  
.i5;DEFAULT: _.ENABLE INDEXING
.if hlp.i-6;4 LEVELS
.endif hlp
.S.tt7.i-5;_.ENABLE LEVELS [+-n1],[+-n2]
.p.x ENABLE>LEVELS
.X Table of contents
Enables output of header levels up to n1, and TOC output up to n2.
.ifnot small
In other words the _.DOC file will have header levels 1 to n1 and the _.RNT
file will have levels up to n2.  If n2 is greater than n1 the _.RNT file will
only contain levels up to n1. If n is not specified the default is assumed.
There is no _.DISABLE LEVELS command 
.i5;(Not available in DSR)
.endif small
.i5;DEFAULT: _.ENABLE LEVELS 6,6
.if hlp;.i-6;4 NUMBERING
.endif hlp
.s.tt7.i-5;_.ENABLE NUMBERING
.i-5;_.ENMPG
.i-3;_.DISABLE NUMBERING
.i-3;_.DNMPG
.x DISABLE>NUMBERING
.p.x ENABLE>NUMBERING
_.ENABLE NUMBERING allows page numbers to be printed.
This does not start numbering if it has been terminated by a _.NO NUMBER
command.
.ifnot small
When disabled the page numbers will not be printed, but pages will
still be counted,  and the _.NUMBER command will not
turn page numbering on.
.endif small
.i5;DEFAULT _.ENABLE NUMBERING
.ifnot small
.if hlp
.if Rsx
.i5;ADDITIONAL HELP AVAILABLE: CHAPTER
.endif rsx
.i-6;5 CHAPTER
.rm -5
.endif hlp
.endif small
.s.tt7.i-5;_.ENABLE NUMBERING CHAPTER
.i-5;_.ENMCH
.i-3;_.DISABLE NUMBERING CHAPTER
.i-3;_.DNMCH
.x DISABLE>NUMBERING>CHAPTER
.p.x ENABLE>NUMBERING>CHAPTER
When enabled pages are numbered as N-M where N is the chapter number
and M is the page number.
.ifnot small
Once chapter numbering has been disabled it will not be reenabled by
any command except for the _.ENABLE NUMBERING CHAPTER
.i5;(Not supported in DSR)
.endif small
.i5;DEFAULT: _.ENABLE NUMBERING CHAPTER
.if hlp;.i-6;4 ODD
.rm 
.endif hlp
.s.tt7.i-5;_.ENABLE ODD
.i-5;_.EODD
.i-3;_.DISABLE ODD
.i-3;_.DODD
.p.x DISABLE>ODD
.p.x ENABLE>ODD
Enabling odd   forces the first page of each chapter
onto an odd numbered page.  If necessary numbered pages with no text will
be produced to force the chapter onto the proper page.
.i5;(Not supported in DSR)
.i5;DEFAULT: _.DISABLE ODD
.if hlp;.i-6;4 OVERSTRIKING
.endif hlp
.s.tt7.i-5;_.ENABLE OVERSTRIKING
.i-5;_.EOV
.i-3;_.DISABLE OVERSTRIKING
.i-3;_.DOV
.x DISABLE>OVERSTRIKING
.p.x ENABLE>OVERSTRIKING
Enables or disables overstriking by means of the overstrike character [#_%#].
.ifnot small
.bb
If the overstrike flag is defined but overstriking is disabled RNO will
not do any overstriking, and the overstrike flag character will not appear
in the output.  Previous versions of RNO attempted to omit overstruck
characters, but this is unfortunately not possible in all circumstances,
so this feature had to be omitted.
.eb
.endif small
.i5;DEFAULT: _.ENABLE OVERSTRIKING
.if hlp;.i-6;4 SUBSTITUTION
.endif hlp
.S.tt7.i-5;_.ENABLE SUBSTITUTION
.i-5;_.ESST
.i-3;_.DISABLE SUBSTITUTION
.i-3;_.DSST
.x DISABLE>SUBSTITUTION
.p.x ENABLE>SUBSTITUTION
These command enable or disable substitutions.  
When disabled and the substitute flag is defined
the substitution will be recognized, but no substitution will be made.
.i5;DEFAULT: _.ENABLE SUBSTITUTION
.if hlp;.i-6;4 TABS
.endif hlp
.s.tt7.i-5;_.ENABLE TABS
.i-5;_.ETB
.i-3;_.DISABLE TABS
.i-3;_.DTB
.x DISABLE>TABS
.p.x ENABLE>TABS
This contols the use of the tab key to produce tabulated or columnar output.
.ifnot small
Tabs are normally enabled so you do not need to enable them unless you
have previously disabled them.
When tabs are disabled they are treated as
.x Tabs
.x Space
ordinary spaces.
.i5;(Not supported in DSR)
.endif small
.i5;DEFAULT: _.ENABLE TABS
.if hlp.i-6;4 TOC
.endif HLP
.s.tt7.i-5;_.ENABLE TOC
.i-5;_.ETC
.i-3;_.DISABLE TOC
.i-3;_.DTC
.x DISABLE>TOC
.p.x ENABLE>TOC
.X Table of contents
These commands enable or disable all
output to the table of contents file.
.ifnot small
When disabled neither CHAPTER, _.HEADER LEVEL, _.APPENDIX, nor
 _.SEND TOC commands will output anything to the _.RNT file.
By using this command you can control which items are in the TOC.
.endif small
.i5;DEFAULT: _.ENABLE TOC
.if hlp;.i-6;4 UNCONDITIONAL
.endif hlp
.s.tt7.i-5;_.ENABLE UNCONDITIONAL
.i-5;_.EUNC
.i-3;_.DISABLE UNCONDITIONAL
.i-3;_.DUNC
.x DISABLE>UNCONDITIONAL
.p.x ENABLE>UNCONDITIONAL
This causes a break, and enables or disable unconditional text.
When enabled all text not preceeded by an _.IF
command will appear in the output.  
.ifnot small
These commands may not be used inside a note,footnote or text section.
When unconditional is disabled all input following it is ignored
except for _.ENABLE UNCONDITIONAL or _.IF commands.  These commands
must be the first command on a line to be recognized.  When _.IF is
encountered then RNO will continue processing text as if unconditional were
enabled until the matching _.ENDIF.
.p
These commands may be used to generate multiple table of contents for
sections, figures, tables and so forth.  By disabling normal text, RNO can
pick out only desired sections and ignore the rest.
.i5;(NOT available in DSR)
.endif small
.i5;DEFAULT: _.ENABLE UNCONDITIONAL
.if hlp;.i-6;4 UNDERLINING
.endif hlp
.s.tt7.i-5;_.ENABLE UNDERLINING
.i-5;_.EUL
.i-3;_.DISABLE UNDERLINING
.i-3;_.DUL
.x DISABLE>UNDERLINING
.p.x ENABLE>UNDERLINING
Controls underlining using the underline character [#_&#].  
.ifnot small
.note
The DSR Pocket Reference uses _.EUN instead of _.EUL, but the DST
manual uses _.EUL so this has been adopted as the standard abbreviation.
_.EUN and _.DUN will also work, but these may not be supported in the
future.
.end note
.endif small
.i5;_.DEFAULT: _.ENABLE UNDERLINING
